com.corticon.rulesemf.viewrulemodel.ruleflow.flowdiagram

## Interface DecisionShape

- All Superinterfaces:
    Annotatable, Annotation, CorticonObject, org.eclipse.emf.ecore.EObject, FlowShape, org.eclipse.emf.common.notify.Notifier, ValidatableObject

      public interface DecisionShape
      extends FlowShape

  A representation of the model object 'Decision Shape'.

  The following features are supported:

  - `Valid`
  - `Decision Node`
  See Also:
    `FlowdiagramPackage.getDecisionShape()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DecisionNode` | `getDecisionNode()` Returns the value of the 'Decision Node' reference
    `boolean` | `isValid()` Returns the value of the 'Valid' attribute
    `void` | `setDecisionNode(DecisionNode value)` Sets the value of the '`Decision Node`' reference
    `void` | `setValid(boolean value)` Sets the value of the '`Valid`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.viewrulemodel.ruleflow.flowdiagram.FlowShape

      `getHeight, getInboundEdges, getOutboundEdges, getWidth, getX, getY, setHeight, setWidth, setX, setY`

    - ### Methods inherited from interface com.corticon.rulesemf.common.CorticonObject

      `getGuid, setGuid`

    - ### Methods inherited from interface com.corticon.rulesemf.common.Annotatable

      `getAnnotations`

    - ### Methods inherited from interface com.corticon.rulesemf.common.Annotation

      `getName, getValue, setName, setValue`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isValid

          boolean isValid()

      Returns the value of the 'Valid' attribute.

      If the meaning of the 'Valid' attribute isn't clear, there really should be more of a description here...

      Specified by:
        `isValid` in interface `ValidatableObject`
      Returns:
        the value of the 'Valid' attribute.
      See Also:
        `setValid(boolean)`, `FlowdiagramPackage.getDecisionShape_Valid()`

    - #### setValid

          void setValid(boolean value)

      Sets the value of the '`Valid`' attribute.
      Parameters:
        `value` - the new value of the 'Valid' attribute.
      See Also:
        `isValid()`

    - #### getDecisionNode

          DecisionNode getDecisionNode()

      Returns the value of the 'Decision Node' reference.

      If the meaning of the 'Decision Node' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Decision Node' reference.
      See Also:
        `setDecisionNode(DecisionNode)`, `FlowdiagramPackage.getDecisionShape_DecisionNode()`

    - #### setDecisionNode

          void setDecisionNode(DecisionNode value)

      Sets the value of the '`Decision Node`' reference.
      Parameters:
        `value` - the new value of the 'Decision Node' reference.
      See Also:
        `getDecisionNode()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.